import { Component, createEffect, createResource } from 'solid-js';

import OlMap from 'ol/Map';

import dispatch from '../../workers/dispatcher-main';
//import Trk from './Trk';
import getUri from '../../lib/ids';

interface Props {
  gpxId: string;
  map: () => OlMap | null;
}

export const Gpx: Component<Props> = ({ map, gpxId }) => {
  const [gpx] = createResource(
    gpxId,
    async () =>
      await dispatch({
        action: 'getGpx',
        params: {
          id: gpxId,
        },
      })
  );

  createEffect(() => {
    console.log({ caller: 'Gpx', map: map(), gpxId, gpx: gpx() });
  });

  return <></>;
};

export default Gpx;
